Evolution login to Exchange server crashes on ubuntu 9.10

Bug #404217 reported by lnx on 2009-07-24
130
This bug affects 23 people
Affects Status Importance Assigned to Milestone
evolution-mapi (Ubuntu)
Undecided
Unassigned
Karmic
Undecided
Unassigned

Bug Description

I cannot log into my exchange server using mapi:
Here the output of starting exchange:
Script wurde gestartet: Fr 24 Jul 2009 18:40:43 CEST
^[]0;norbert@norbert-desktop: ~^Gnorbert@norbert-desktop:~$ evolution^M
** (evolution:4792): DEBUG: mailto URL command: evolution %s^M
** (evolution:4792): DEBUG: mailto URL program: evolution^M
e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring reports: Keine passenden Ergebnisse)^M
e-data-server-ui-Message: Die Schlüsselwertedatei enthält nicht die Gruppe »Passwords-ExchangeMAPI«^M
libexchangemapi-Message: exchange-mapi-connection.c:130: exchange_mapi_connection_new: lock(connect_lock)^M
^M
exchange-mapi-connection.c:75: Entering mapi_profile_load ^M
(evolution:4792): libexchangemapi-WARNING **: ^M
MAPI profile database @ /home/norbert/.evolution/mapi-profiles.ldb not found ^M
^M
exchange-mapi-connection.c:116: Leaving mapi_profile_load libexchangemapi-Message: exchange-mapi-connection.c:133: exchange_mapi_connection_new: unlock(connect_lock)^M
^M
(evolution:4792): libexchangemapi-WARNING **: ^M
exchange-mapi-connection.c:136: exchange_mapi_connection_new: Login failed ^M
e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring reports: Keine passenden Ergebnisse)^M
e-data-server-ui-Message: Die Schlüsselwertedatei enthält nicht die Gruppe »Passwords-ExchangeMAPI«^M
libexchangemapi-Message: exchange-mapi-connection.c:130: exchange_mapi_connection_new: lock(connect_lock)^M
^M
exchange-mapi-connection.c:75: Entering mapi_profile_load ^M
(evolution:4792): libexchangemapi-WARNING **: ^M
MAPI profile database @ /home/norbert/.evolution/mapi-profiles.ldb not found ^M
^M
exchange-mapi-connection.c:116: Leaving mapi_profile_load libexchangemapi-Message: exchange-mapi-connection.c:133: exchange_mapi_connection_new: unlock(connect_lock)^M
^M
(evolution:4792): libexchangemapi-WARNING **: ^M
exchange-mapi-connection.c:136: exchange_mapi_connection_new: Login failed ^M
e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring reports: Keine passenden Ergebnisse)^M
e-data-server-ui-Message: Die Schlüsselwertedatei enthält nicht die Gruppe »Passwords-ExchangeMAPI«^M
libexchangemapi-Message: exchange-mapi-connection.c:146: exchange_mapi_connection_close: lock(connect_lock)^M
libexchangemapi-Message: exchange-mapi-connection.c:149: exchange_mapi_connection_close: unlock(connect_lock)^M
^[]0;norbert@norbert-desktop: ~^Gnorbert@norbert-desktop:~$
Script beendet: Fr 24 Jul 2009 18:41:28 CEST

lnx (nwegener) wrote :

I just noticed, that evolution mapi is still version 0.26.0.1-0ubuntu2 in ubuntu 9.10alpha3 where every other component of evolution is version 2.27.4-0ubuntu1.

Maybe because of this version mismatch the problem occurs.

I've got the same problem with Ubuntu 9.10 alpha4.
Tracing the network with wireshark reveals that no packet is sent.
I assume that mapi is broken - both mapiprofile and openchangeclient core dumps:

Program received signal SIGABRT, Aborted.
0x00007ffff5e844e5 in raise () from /lib/libc.so.6
(gdb) bt
#0 0x00007ffff5e844e5 in raise () from /lib/libc.so.6
#1 0x00007ffff5e87f80 in abort () from /lib/libc.so.6
#2 0x00007ffff6708375 in _talloc_zero () from /usr/lib/libldb.so.0
#3 0x00007ffff67033c0 in tevent_context_init_byname () from /usr/lib/libldb.so.0
#4 0x00007ffff7af791d in OpenProfileStore () from /usr/lib/libmapi.so.0
#5 0x00007ffff7b078ae in MAPIInitialize () from /usr/lib/libmapi.so.0
#6 0x0000000000409088 in ?? ()
#7 0x00007ffff5e6facd in __libc_start_main () from /lib/libc.so.6
#8 0x0000000000403719 in ?? ()
#9 0x00007fffffffe728 in ?? ()
#10 0x000000000000001c in ?? ()
#11 0x0000000000000001 in ?? ()
#12 0x00007fffffffe941 in ?? ()
#13 0x0000000000000000 in ?? ()

Daniel Wiberg (dannew) wrote :

Confirmed in Alpha 5, there won't be much time for testing before release if this isn't fixed soon.

Changed in evolution-mapi (Ubuntu):
status: New → Confirmed
bytesize (john-johnswarbrick) wrote :

I can also confirm in Alpha 5.

Are there any workarounds available? Perhaps symlinking missing libraries?

It's a real shame this doesn't work.

Daniel Wiberg (dannew) wrote :

Evolution-mapi has now been upgraded to 0.28 and it now crashes when I try to create a new Exchange-mapi account. It also says apport is unable to create a crash report.

Bill Hayden (bill-hayden) wrote :

Exchange 2007 support was supposed to be working back in Jaunty, and that never materialized. It's crazy that it still doesn't work for Karmic. Having reliable Exchange support in Evolution has been my number 1 issue with Ubuntu for YEARS now. It ought to be a top, release-stopper issue, because it's definitely impacting corporate use of Ubuntu.

To pull things back on topic... tested on Jaunty beta 1, still crashing. I have no access to Exchange mail at this point. It dies with this message:
exchange-mapi-connection.c:77: Entering mapi_profile_load Aborted (core dumped)

Program terminated with signal 6, Aborted.
#0 0x008bd422 in __kernel_vsyscall ()
(gdb) bt
#0 0x008bd422 in __kernel_vsyscall ()
#1 0x083bf4d1 in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2 0x083c2932 in *__GI_abort () at abort.c:92
#3 0x0141665c in ?? () from /usr/lib/libtalloc.so.1
#4 0x0141a7d8 in _talloc_free () from /usr/lib/libtalloc.so.1
#5 0x053be8e9 in ?? () from /usr/lib/libdcerpc.so.0
#6 0x053c03f0 in ?? () from /usr/lib/libdcerpc.so.0
#7 0x053c07e5 in lp_do_global_parameter () from /usr/lib/libdcerpc.so.0
#8 0x053c215c in loadparm_init () from /usr/lib/libdcerpc.so.0
#9 0x016022fe in MAPIInitialize () from /usr/lib/libmapi.so.0
#10 0x065de4ed in exchange_mapi_connection_new ()
   from /usr/lib/libexchangemapi-1.0.so.0
#11 0x015bc7ef in ?? ()
   from /usr/lib/evolution-data-server-1.2/camel-providers/libcamelmapi.so
#12 0x015bda09 in ?? ()
   from /usr/lib/evolution-data-server-1.2/camel-providers/libcamelmapi.so
#13 0x00b2fc1c in camel_store_get_folder_info ()
   from /usr/lib/libcamel-provider-1.2.so.14
#14 0x012157bc in ?? ()
   from /usr/lib/evolution/2.28/libevolution-mail-shared.so.0
#15 0x01219670 in ?? ()
   from /usr/lib/evolution/2.28/libevolution-mail-shared.so.0
#16 0x0450099f in ?? () from /lib/libglib-2.0.so.0
#17 0x044ff36f in ?? () from /lib/libglib-2.0.so.0
#18 0x003e380e in start_thread (arg=0xb65efb70) at pthread_create.c:300
#19 0x084617ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

summary: - login fails on ubuntu 9.10 alpha3
+ Evolution login to Exchange server crashes on ubuntu 9.10
Nuno Pacheco (nmpacheco) wrote :

Is there any solution/workaround available?

Bill Hayden (bill-hayden) wrote :

Still crashing when Evolution launches on Karmic final, fully updated as of 11/3, no known workaround

lnx (nwegener) wrote :

Someone pointed me to:

This may help you. The updated MAPI plugin 0.28.1 has the necessary fixes
http://gurrier.wordpress.com/2009/11/03/using-evolution-with-exchange-2007/

This does definitely not solve all my problems, but at least I can read most of my mails.

Bill Hayden (bill-hayden) wrote :

Thanks lnx! Manually updating evolution-mapi to 0.28.1 solved my crashing problems.

For those keeping score at home, an Ubuntu evolution-mapi update to 0.28.1 or later would close at least 4 open bugs:
https://bugs.launchpad.net/bugs/404217
https://bugs.launchpad.net/bugs/453279
https://bugs.launchpad.net/bugs/459916
https://bugs.launchpad.net/bugs/472552

Keith Buel (kbuel) wrote :

Hey Guys,

I created the evolution-mapi 0.28.1 deb and it is in my ppa right now:

https://launchpad.net/~kbuel/+archive/ppa

I'm using it and it solves a lot of these issues.

Hope this helps some people!

ihamsa (i-hamsa) wrote :

Evolution still crashes on me at the first attempt to enter my password. Upgrading to evolution-mapi 0.28.1 didn't help. The stack trace is exactly like in the comment #6 (https://bugs.launchpad.net/ubuntu/+source/evolution-mapi/+bug/404217/comments/6).

Keith Buel (kbuel) wrote :

evolution-mapi 0.28.2 was released a few days ago, and I have the updated the package in my ppa. It fixes a few more bugs and may help some of you still experiencing issues.

Bill Hayden (bill-hayden) wrote :

Just wanted to say that Keith's 0.28.2 package not only fixed this bug, but also fixed almost every other bug I've experienced with Evolution using Exchange-MAPI accounts. I would highly recommend pushing out a 0.28.2 update.

Onkar Shinde (onkarshinde) wrote :

The 0.28.2 update is now available in karmic-updates. Can you please confirm the bug is fixed in that update?

lnx (nwegener) wrote :

Seems to be fixed. Thanks.

On Jan 10, 2010 7:02 AM, "Onkar Shinde" <email address hidden> wrote:

** Also affects: evolution-mapi (Ubuntu Karmic)
  Importance: Undecided
      Status: New

--

Evolution login to Exchange server crashes on ubuntu 9.10
https://bugs.launchpad.net/bugs/404217
You...

Marcel (marcel-vd-berg) wrote :

Evolution 2.28.1 and evolution-mapi 0.28.2 crashes when I try to create a new exchange-mapi account.

jjwin2k (jjwin2k) wrote :

I can confirm the crash on account creation.

Sam Post (sampost) wrote :

Also getting a crash on account creation. I have tried logging server communication with CAMEL_DEBUG=all and E2K_DEBUG=5 but evolution ignores these options. Without evolution-mapi installed, I was getting an "unknown" kerberos error of -1765328164 (KRB5_TKT_NOT_FORWARDABLE). Using evolution-mapi, evolution hangs or crashes when trying to authenticate.

Please advise - how can I debug why I can't access my email via evolution? I have successfully reached this same email account from two different clients on different android phones, so I know it's technically feasible to get corporate email from a non-windows client. I would really love to use evolution and migrate fully to Ubuntu, but not having corporate email access is a showstopper for me.

Thanks in advance!

Mathias (mathias-me) wrote :
Download full text (7.4 KiB)

I confirm this bug. I start Evolution, try to add an exchange-mapi account by using the IP address of the server, not the DNS name, and every time after entering the password Evolution crashs immediately.
It is an Exchange 2010 server.

Thanks for your help!

##########
$ uname -a
Linux <name> 2.6.31-17-generic #54-Ubuntu SMP Thu Dec 10 16:20:31 UTC 2009 i686 GNU/Linux
$ dpkg -l|grep -i evolution
ii beagle-backend-evolution 0.3.9-3ubuntu1 evolution data backend for beagle
ii evolution 2.28.1-0ubuntu2 groupware suite with mail client and organiz
ii evolution-common 2.28.1-0ubuntu2 architecture independent files for Evolution
ii evolution-couchdb 0.3.2-0ubuntu2 Evolution support for CouchDB databases
ii evolution-data-server 2.28.1-0ubuntu1 evolution database backend server
ii evolution-data-server-common 2.28.1-0ubuntu1 architecture independent files for Evolution
ii evolution-documentation-en 2.28.1-0ubuntu2 documentation for Evolution
ii evolution-exchange 2.28.1-0ubuntu1 Exchange plugin for the Evolution groupware
ii evolution-exchange-dbg 2.28.1-0ubuntu1 Exchange plugin for Evolution with debugging
ii evolution-indicator 0.2.4-0ubuntu3.1 GNOME panel indicator applet for Evolution
ii evolution-mapi 0.28.2-0ubuntu1 Evolution extension for MS Exchange 2007 ser
ii evolution-plugins 2.28.1-0ubuntu2 standard plugins for Evolution
ii evolution-rss 0.1.4-1ubuntu2 Evolution RSS Reader Plugin
ii evolution-webcal 2.28.0-0ubuntu1 webcal: URL handler for GNOME and Evolution
ii libcamel1.2-14 2.28.1-0ubuntu1 The Evolution MIME message handling library
ii libebackend1.2-0 2.28.1-0ubuntu1 Utility library for evolution data servers
ii libebook1.2-9 2.28.1-0ubuntu1 Client library for evolution address books
ii libecal1.2-7 2.28.1-0ubuntu1 Client library for evolution calendars
ii libedata-book1.2-2 2.28.1-0ubuntu1 Backend library for evolution address books
ii libedata-cal1.2-6 2.28.1-0ubuntu1 Backend library for evolution calendars
ii libedataserver1.2-11 2.28.1-0ubuntu1 Utility library for evolution data servers
ii libedataserverui1.2-8 2.28.1-0ubuntu1...

Read more...

Alex Mauer (hawke) wrote :

This is still a problem in Ubuntu 10.10 with evolution-mapi 0.30.3-1ubuntu1

MacRules (macrules) wrote :

confirmed not working on 10.10

Jogarem (jogi) wrote :

confirmed by me it crashes in 10.10

indium (indium) wrote :

Ubuntu 10.10 on a macbook pro 6,2 with evolution 2.30.3 WORKS with Exchange MAPI and an Exchange server 2010. The trick was to fill in an ip-address as server and not a server name. The calendar and the contacts+GAL work as well.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in evolution-mapi (Ubuntu Karmic):
status: New → Confirmed
Rolf Leggewie (r0lf) wrote :

karmic has seen the end of its life and is no longer receiving any updates. Marking the karmic task for this ticket as "Won't Fix".

Changed in evolution-mapi (Ubuntu Karmic):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers